bm::globals< T > Struct Template Reference

Internal structure. More...

`#include <bmconst.h>`

Collaboration diagram for bm::globals< T >:
[legend]

## Data Structures

struct | bo

## Static Public Member Functions

static ByteOrder | byte_order ()

## Static Public Attributes

static bo | _bo

## Detailed Description

template<bool T>
struct bm::globals< T >

Internal structure.

Different global settings.

Definition at line 461 of file bmconst.h.

## Member Function Documentation

## byte_order()

template<bool T>

ByteOrder bm::globals< T >::byte_order | ( |  | ) |

inline static

Definition at line 487 of file bmconst.h.

References _bo.

Referenced by bm::deserialize(), bm::operation_deserializer< BV >::deserialize(), bm::deserialize_range(), bm::operation_deserializer< BV >::deserialize_range(), bm::serializer< BV >::encode_header(), bm::compressed_collection_serializer< CBC >::serialize(), and bm::sparse_vector_serializer< SV >::serialize().

## Field Documentation

## _bo

template<bool T>

bo bm::globals< T >::_bo

static

Definition at line 486 of file bmconst.h.

Referenced by byte_order().

The documentation for this struct was generated from the following file:

- bmconst.h